Error updating from 5.4.0 to 5.4.2

Discussion in 'Installation' started by akuraid, Feb 19, 2018.

  1. akuraid

    akuraid aMember Pro Customer

    Joined:
    Jan 16, 2018
    Messages:
    28
    Hi
    I hope the title is informative emough.
    When I click update, the browser goes to https://affiliate.akura.id/admin-upgrade
    and below is the content

    Fatal error: Cannot use result of built-in function in write context in /home/admin/web/affiliate.akura.id/public_html/library/pear/Archive/Tar.php on line 639

    I'm using php 7.

    Please help.
    Regards,
  2. caesar

    caesar aMember Pro Developer Staff Member

    Joined:
    Oct 16, 2009
    Messages:
    1,791
  3. akuraid

    akuraid aMember Pro Customer

    Joined:
    Jan 16, 2018
    Messages:
    28
    its php 7.2

    ok I'l try manual upgrade.
    thanks

    Edited: Solved with manual update. :)
    Last edited: Feb 19, 2018
  4. caesar

    caesar aMember Pro Developer Staff Member

    Joined:
    Oct 16, 2009
    Messages:
    1,791
    Sounds good. By the way this incompatibility with PHP 7.2 is already fixed. Patch is already include to aMember 5.4.2 so next upgrade should works automatically.
  5. sean8ing

    sean8ing aMember Pro Customer

    Joined:
    Dec 26, 2017
    Messages:
    9
    Hi...

    Curious, I clicked the update from 5.4.0 and I get asked for ftp info...
    Is this asking for my server's ftp information? Seems phishy..

    2018-02-27_044659.png
  6. caesar

    caesar aMember Pro Developer Staff Member

    Joined:
    Oct 16, 2009
    Messages:
    1,791

Share This Page